summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/dohard
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2012-09-01 15:42:45 -0700
committerZac Medico <zmedico@gentoo.org>2012-09-01 15:42:45 -0700
commitca755a56b628c8296630c3e435425b14d3b8bf10 (patch)
tree09f6899bc8d416a646b04133f2edfd98144d67ed /bin/ebuild-helpers/dohard
parentbb3094fb926910594f26ac3cf246d9aa9f9444d9 (diff)
downloadportage-ca755a56b628c8296630c3e435425b14d3b8bf10.tar.gz
portage-ca755a56b628c8296630c3e435425b14d3b8bf10.tar.bz2
portage-ca755a56b628c8296630c3e435425b14d3b8bf10.zip
Eliminate bin/ebuild-helpers/4 directory.
Instead, just use conditionals where appropriate inside bin/ebuild-helpers/* scripts.
Diffstat (limited to 'bin/ebuild-helpers/dohard')
-rwxr-xr-xbin/ebuild-helpers/dohard11
1 files changed, 10 insertions, 1 deletions
diff --git a/bin/ebuild-helpers/dohard b/bin/ebuild-helpers/dohard
index b52fd7c00..6ae93d240 100755
--- a/bin/ebuild-helpers/dohard
+++ b/bin/ebuild-helpers/dohard
@@ -1,7 +1,16 @@
#!/bin/bash
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
+case "${EAPI}" in
+ 0|1|2|3)
+ ;;
+ *)
+ die "'${0##*/}' has been banned for EAPI '$EAPI'"
+ exit 1
+ ;;
+esac
+
if [[ $# -ne 2 ]] ; then
echo "$0: two arguments needed" 1>&2
exit 1